<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::registrationManager::CustomerDataManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1registration_manager.html">registrationManager</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::registrationManager::CustomerDataManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_customer_data_manager_8h_source.html">CustomerDataManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad6174fcb85b26fd75386628e5512cc6f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad6174fcb85b26fd75386628e5512cc6f">~CustomerDataManager</a> ()</td></tr>
<tr class="separator:ad6174fcb85b26fd75386628e5512cc6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad188ff69006a6a0b5c4358395c4169e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#ad188ff69006a6a0b5c4358395c4169e7">addDataHandler</a> (<a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a> *handler)</td></tr>
<tr class="separator:ad188ff69006a6a0b5c4358395c4169e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57106d24e47a5243a5a3ecae22e2c4cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a57106d24e47a5243a5a3ecae22e2c4cd">removeDataHandler</a> (<a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a> *handler)</td></tr>
<tr class="separator:a57106d24e47a5243a5a3ecae22e2c4cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bb3772f15529d8543af5ae64935ef3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html#a2bb3772f15529d8543af5ae64935ef3e">clearData</a> ()</td></tr>
<tr class="separator:a2bb3772f15529d8543af5ae64935ef3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The <code><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a></code> is an object responsible for managing customer data and to ensure that one customer will not have access to another customer's data. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad6174fcb85b26fd75386628e5512cc6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6174fcb85b26fd75386628e5512cc6f">&#9670;&nbsp;</a></span>~CustomerDataManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::registrationManager::CustomerDataManager::~CustomerDataManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class=""><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">CustomerDataManager</a> destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad188ff69006a6a0b5c4358395c4169e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad188ff69006a6a0b5c4358395c4169e7">&#9670;&nbsp;</a></span>addDataHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::registrationManager::CustomerDataManager::addDataHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a> *&#160;</td>
          <td class="paramname"><em>handler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Add object that tracks any sort of customer data. </p>

</div>
</div>
<a id="a2bb3772f15529d8543af5ae64935ef3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bb3772f15529d8543af5ae64935ef3e">&#9670;&nbsp;</a></span>clearData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::registrationManager::CustomerDataManager::clearData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Clear every customer data kept in the device.</p>
<dl class="section note"><dt>Note</dt><dd>We do not guarantee the order that the CustomerDataHandlers are called. </dd></dl>

</div>
</div>
<a id="a57106d24e47a5243a5a3ecae22e2c4cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57106d24e47a5243a5a3ecae22e2c4cd">&#9670;&nbsp;</a></span>removeDataHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::registrationManager::CustomerDataManager::removeDataHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">CustomerDataHandler</a> *&#160;</td>
          <td class="paramname"><em>handler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Remove object that tracks customer data. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/RegistrationManager/include/RegistrationManager/<a class="el" href="_customer_data_manager_8h_source.html">CustomerDataManager.h</a></li>
<li>/workplace/avs-device-sdk/RegistrationManager/src/<a class="el" href="_customer_data_manager_8cpp.html">CustomerDataManager.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
